-- Tabellenskripte fr Beispiele
CREATE TABLE TBL_IST (
   MONAT NUMBER, 
	WERT NUMBER
);

INSERT INTO TBL_IST VALUES(201412, 1300);
INSERT INTO TBL_IST VALUES(201501, 1000);
INSERT INTO TBL_IST VALUES(201502, 1100);
INSERT INTO TBL_IST VALUES(201503, 1200);
INSERT INTO TBL_IST VALUES(201504, 1300);
INSERT INTO TBL_IST VALUES(201505, 1400);
INSERT INTO TBL_IST VALUES(201506, 1500);
COMMIT;

CREATE TABLE TBL_PLAN (
  JAHR NUMBER,
  MONAT NUMBER, 
	WERT NUMBER
);

INSERT INTO TBL_PLAN VALUES(2015,1,1200);
INSERT INTO TBL_PLAN VALUES(2015,2,1200);
INSERT INTO TBL_PLAN VALUES(2015,3,1200);
INSERT INTO TBL_PLAN VALUES(2015,4,1200);
INSERT INTO TBL_PLAN VALUES(2015,5,1200);
INSERT INTO TBL_PLAN VALUES(2015,6,1200);
INSERT INTO TBL_PLAN VALUES(2015,7,1200);
INSERT INTO TBL_PLAN VALUES(2015,8,1200);
INSERT INTO TBL_PLAN VALUES(2015,9,1200);
INSERT INTO TBL_PLAN VALUES(2015,10,1200);
INSERT INTO TBL_PLAN VALUES(2015,11,1200);
INSERT INTO TBL_PLAN VALUES(2015,12,1200);
COMMIT;

CREATE TABLE TBL_CLUSTER(
  WERT_VON NUMBER,
  WERT_BIS NUMBER,
  CLUSTER_BEZ VARCHAR2(20)
);

INSERT INTO TBL_CLUSTER VALUES(0, 1100, 'C (0..1100)');
INSERT INTO TBL_CLUSTER VALUES(1101, 1400, 'B (1101..1400)');
INSERT INTO TBL_CLUSTER VALUES(1401, 3000, 'A (1401..3000)');
COMMIT;

-- Beispiel Join ber mehrere Spalten

SELECT *
FROM TBL_IST i
  JOIN TBL_PLAN p ON i.MONAT=p.JAHR*100+p.MONAT;
  --JOIN TBL_PLAN p ON substr(i.MONAT,1,4)=p.JAHR AND substr(i.MONAT,5,2)=p.MONAT;

-- Beispiel Join mit > < in Verknpfungsspalte

SELECT *
FROM TBL_CLUSTER c
  JOIN TBL_IST i ON i.WERT BETWEEN c.WERT_VON AND c.WERT_BIS;

-- Beispiel FULL-Join mit COALESCE
SELECT COALESCE(i.MONAT, JAHR*100+p.MONAT) AS MONAT, i.WERT AS IST, p.WERT AS PLAN, nvl(p.WERT,0)-nvl(i.WERT,0) AS ABW
FROM TBL_IST i
  FULL JOIN TBL_PLAN p ON i.MONAT=p.JAHR*100+p.MONAT;
  
  
  


