-- #####################################################################
--  KAP6: Demo 1 (Seite 35)
-- #####################################################################

SELECT SUM(bpos.ANZAHL)
FROM TBL_BESTELLUNG best
JOIN TBL_BESTELLUNG_POS bpos ON best.BESTELLUNG_NR=bpos.BESTELLUNG_NR
WHERE bpos.PRODUKT_NR=8
AND to_char(best.BESTELL_DATUM, 'YYYYMM')='201303'

-- #####################################################################
--  KAP6: Demo 2 (Seite 35)
-- #####################################################################

SELECT MAX(PREIS) AS MAX, MIN(PREIS) AS MIN, AVG(PREIS) AS AVG, COUNT(PREIS) AS CNT1, COUNT(distinct PREIS) AS CNT2, COUNT(*) AS CNT3
FROM TBL_PRODUKT

-- #####################################################################
--  KAP6: Demo 3 (Seite 36)
-- #####################################################################

SELECT grp.BEZEICHNUNG AS GRUPPE, Count(*) AS ANZ, MIN(prd.PREIS), MAX(prd.PREIS)
FROM TBL_PRODUKT prd
JOIN TBL_PRODUKTGRUPPE grp ON prd.PRODUKT_GRUPPE_NR=grp.PRODUKT_GRUPPE_NR
GROUP BY grp.BEZEICHNUNG

-- #####################################################################
--  KAP6: Demo 4 (Seite 37)
-- #####################################################################

SELECT  prd.PRODUKT_NR AS NR, 
        prd.BEZEICHNUNG AS PRODUKT, 
        SUM(bpos.ANZAHL) AS VK_STUECK,
        SUM(prd.PREIS*bpos.ANZAHL) AS UMSATZ
FROM TBL_PRODUKT prd
  JOIN TBL_BESTELLUNG_POS bpos ON prd.PRODUKT_NR=bpos.PRODUKT_NR
GROUP BY prd.PRODUKT_NR, prd.BEZEICHNUNG
HAVING SUM(prd.PREIS*bpos.ANZAHL)>=3000