-- #####################################################################
--  KAP5: Übung 1
-- #####################################################################

SELECT DISTINCT k.KUNDE_NR, k.VORNAME, k.NACHNAME
FROM Test.dbo.TBL_KUNDE k
  JOIN Test.dbo.TBL_BESTELLUNG b ON k.KUNDE_NR=b.KUNDE_NR
WHERE substring(convert(VARCHAR(8), BESTELL_DATUM,112),1,6)='201302';

-- #####################################################################
--  KAP5: Übung 2
-- #####################################################################

SELECT DISTINCT m.*
FROM Test.dbo.TBL_BESTELLUNG b
  JOIN Test.dbo.TBL_KUNDE k ON b.KUNDE_NR=k.KUNDE_NR
  JOIN Test.dbo.TBL_MITARBEITER m ON b.FAHRER_NR=m.MITARBEITER_NR
WHERE k.NACHNAME='Müller'
AND substring(convert(VARCHAR(8), BESTELL_DATUM,112),1,6)='201304'
;

-- #####################################################################
--  KAP5: Übung 3
-- #####################################################################

SELECT p.PRODUKT_NR, p.BEZEICHNUNG, bp.ANZAHL
FROM Test.dbo.TBL_KUNDE k
  JOIN Test.dbo.TBL_BESTELLUNG b ON k.KUNDE_NR=b.KUNDE_NR
  JOIN Test.dbo.TBL_BESTELLUNG_POS bp ON b.BESTELLUNG_NR=bp.BESTELLUNG_NR
  JOIN Test.dbo.TBL_PRODUKT p ON bp.PRODUKT_NR=p.PRODUKT_NR
WHERE convert(integer, substring(convert(VARCHAR(10), BESTELL_DATUM,120),6,2)) between 4 and 6
AND k.ORT='Kiel';

-- #####################################################################
--  KAP5: Übung 4
-- #####################################################################

SELECT *
FROM Test.dbo.TBL_PRODUKT p
  LEFT JOIN Test.dbo.TBL_BESTELLUNG_POS bp ON p.PRODUKT_NR=bp.PRODUKT_NR
WHERE bp.PRODUKT_NR IS NULL;

-- #####################################################################
--  KAP5: Aufgabe 1
-- #####################################################################

SELECT DISTINCT k.KUNDE_NR, k.VORNAME, k.NACHNAME, m.MITARBEITER_NR, m.NACHNAME
FROM Test.dbo.TBL_KUNDE k
  JOIN Test.dbo.TBL_BESTELLUNG b ON k.KUNDE_NR=b.KUNDE_NR
  JOIN Test.dbo.TBL_MITARBEITER m ON b.FAHRER_NR=m.MITARBEITER_NR
WHERE substring(convert(VARCHAR(8), BESTELL_DATUM,112),1,6)='201304'
ORDER BY 1,4;

-- #####################################################################
--  KAP5: Aufgabe 2
-- #####################################################################

SELECT DISTINCT p.PRODUKT_NR, p.BEZEICHNUNG
FROM Test.dbo.TBL_KUNDE k
  JOIN Test.dbo.TBL_BESTELLUNG b ON k.KUNDE_NR=b.KUNDE_NR
  JOIN Test.dbo.TBL_BESTELLUNG_POS bp ON b.BESTELLUNG_NR=bp.BESTELLUNG_NR
  JOIN Test.dbo.TBL_PRODUKT p ON bp.PRODUKT_NR=p.PRODUKT_NR
WHERE k.NACHNAME='Maier'
AND substring(convert(VARCHAR(8), BESTELL_DATUM,112),1,6)='201304'
ORDER BY 1;


-- #####################################################################
--  KAP5: Aufgabe 3
-- #####################################################################

SELECT DISTINCT k.KUNDE_NR, k.VORNAME, k.NACHNAME
FROM Test.dbo.TBL_KUNDE k
  JOIN Test.dbo.TBL_BESTELLUNG b ON k.KUNDE_NR=b.KUNDE_NR
  JOIN Test.dbo.TBL_BESTELLUNG_POS bp ON b.BESTELLUNG_NR=bp.BESTELLUNG_NR
  JOIN Test.dbo.TBL_PRODUKT p ON bp.PRODUKT_NR=p.PRODUKT_NR
WHERE k.ORT='Hamburg'
AND substring(convert(VARCHAR(8), BESTELL_DATUM,112),1,6)='201302'
AND p.BEZEICHNUNG='Rumpsteak'
ORDER BY 1;


-- #####################################################################
--  KAP5: Aufgabe 4
-- #####################################################################

SELECT m.*
FROM Test.dbo.TBL_MITARBEITER m
  LEFT JOIN Test.dbo.TBL_BESTELLUNG b ON m.MITARBEITER_NR=b.FAHRER_NR
WHERE b.FAHRER_NR IS NULL;

--> Alle Fahrer haben schon was ausgeliefert.

-- #####################################################################
--  KAP5: Aufgabe 5
-- #####################################################################

SELECT DISTINCT b.BESTELLUNG_NR
FROM Test.dbo.TBL_BESTELLUNG b
  JOIN Test.dbo.TBL_BESTELLUNG_POS bp ON b.BESTELLUNG_NR=bp.BESTELLUNG_NR
  JOIN Test.dbo.TBL_PRODUKT p ON bp.PRODUKT_NR=p.PRODUKT_NR
  JOIN Test.dbo.TBL_PRODUKTGRUPPE pg ON p.PRODUKT_GRUPPE_NR=pg.PRODUKT_GRUPPE_NR
WHERE pg.BEZEICHNUNG='Fleischgerichte'
ORDER BY 1;

